/* -*- ObjC -*-
   Copyright (C) 2003 TSUTSUMI Kikuo.
   This file is part of the CocoUnit Library.

   The CocoUnit Library is free software; you can redistribute it and/or
   modify it under the terms of the GNU Lesser General Public License
   as published by the Free Software Foundation; either version 2.1 of
   the License, or (at your option) any later version.

   The CocoUnit Library is distributed in the hope that it will be
   useful, but WITHOUT ANY WARRANTY; without even the implied warranty
   of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU Lesser General Public License for more details.

   You should have received a copy of the GNU Lesser General Public
   License along with the CocoUnit Library; see the file COPYING.LESSER.
   If not, write to the Free Software Foundation, Inc., 59 Temple
   Place - Suite 330, Boston, MA 02111-1307, USA.  
*/
/*
 * $Id: CocoTest.h,v 1.1 2003/11/29 12:34:30 tsutsumi Exp $
 */

/** @file
 */

#ifndef COCOTEST_H
#define COCOTEST_H

#import <Foundation/NSObject.h>

@class CocoTestResult;

/**
 * A <em>Test</em> can be run and collect its results.
 *
 * @see CocoTestResult
 */
@interface CocoTest : NSObject {
}

/**
 * Counts the number of test cases that will be run by this test.
 */
-(int) countTestCases; // abstract

/**
 * Runs a test and collects its result in a TestResult instance.
 */
-(void) runWithResult:(CocoTestResult*) result;	// abstract

/**
 * Returns an NSString that represents the contents of the receiving
 * class.
 */
-(NSString*) description;

@end

#endif //COCOTEST_H
