/* -*- ObjC -*-
   Copyright (C) 2003 TSUTSUMI Kikuo.
   This file is part of the CocoUnit Library.

   The CocoUnit Library is free software; you can redistribute it and/or
   modify it under the terms of the GNU Lesser General Public License
   as published by the Free Software Foundation; either version 2.1 of
   the License, or (at your option) any later version.

   The CocoUnit Library is distributed in the hope that it will be
   useful, but WITHOUT ANY WARRANTY; without even the implied warranty
   of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU Lesser General Public License for more details.

   You should have received a copy of the GNU Lesser General Public
   License along with the CocoUnit Library; see the file COPYING.LESSER.
   If not, write to the Free Software Foundation, Inc., 59 Temple
   Place - Suite 330, Boston, MA 02111-1307, USA.  
*/
/*
 * $Id: CocoTestListener.h,v 1.1 2003/11/29 12:34:30 tsutsumi Exp $
 */

/** @file
 */

#ifndef COCOTESTLISTENER_H
#define COCOTESTLISTENER_H

#import <Foundation/NSObject.h>

@class CocoTest;
@class CocoAssertionFailedError;
@class NSException;

/**
 * A Listener for test progress
 */
@interface CocoTestListener : NSObject {
}

+(id) listener;

/**
 * An error occurred.
 */
-(void) addError:(NSException*) error test:(CocoTest*) test;

/**
 * A failure occurred.
 */
-(void) addFailure:(CocoAssertionFailedError*) failure test: (CocoTest*) test;

/**
 * A test ended.
 */
-(void) endTest:(CocoTest*) test;

/**
 * A test started.
 */
-(void) startTest:(CocoTest*) test;


@end

#endif // COCOTESTLISTENER_H
