/* -*- mode: ObjC; tab-width: 8 -*-
   Copyright (C) 2003 TSUTSUMI Kikuo.
   This file is part of the CocoUnit Framework.

   The CocoUnit Framework is free software; you can redistribute
   it and/or modify it under the terms of the GNU Lesser General
   Public License as published by the Free Software Foundation; either
   version 2.1 of the License, or (at your option) any later version.

   The CocoUnit Library is distributed in the hope that it will be
   useful, but WITHOUT ANY WARRANTY; without even the implied warranty
   of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU Lesser General Public License for more details.

   You should have received a copy of the GNU Lesser General Public
   License along with the CocoUnit Library; see the file COPYING.LESSER.
   If not, write to the Free Software Foundation, Inc., 59 Temple
   Place - Suite 330, Boston, MA 02111-1307, USA.  
*/
/*
 * $Id: FrameworkAllTests.m,v 1.7 2003/12/06 02:15:14 tsutsumi Exp $
 */

/** @file
 *
 */

#include "FrameworkAllTests.h"
#include "TestCaseTest.h"
#include "SuiteTest.h"
#include "TestListenerTest.h"
#include "AssertTest.h"
#include "TestImplementorTest.h"
#include "NoArgTestCaseTest.h"
#include "ComparisonFailureTest.h"
#include "DoublePrecisionAssertTest.h"
#include <CocoUnit/CocoTestSuite.h>


@implementation FrameworkAllTests

+(CocoTest*) suite
{
  CocoTestSuite* suite = [ CocoTestSuite testSuiteWithName: @"Framework Tests" ];
  [ suite addTestSuite: [ TestCaseTest class ] ];
  [ suite addTest: [ SuiteTest suite ] ]; // Tests suite building, so
 					  // can't use automatic test
 					  // extraction
  [ suite addTestSuite: [ TestListenerTest class ] ];
  [ suite addTestSuite: [ AssertTest class ] ];
  [ suite addTestSuite: [ TestImplementorTest class ] ];
  [ suite addTestSuite: [ NoArgTestCaseTest class ] ];
  [ suite addTestSuite: [ ComparisonFailureTest class ] ];
  [ suite addTestSuite: [ DoublePrecisionAssertTest class ] ];
  return suite;
}

@end

// Local variables: ***
// compile-command: "xcodebuild -project ../../CocoUnit.xcode -target CocoUnitTest" ***
// End: ***
